GDBM_File(3)

NAME
GDBM_File - Perl5 access to the gdbm library.

SYNOPSIS
    use GDBM_File ;
    tie %hash, 'GDBM_File', $filename, &GDBM_WRCREAT, 0640;
    # Use the %hash array.
    untie %hash ;

DESCRIPTION
GDBM_File is a module which allows Perl programs to make use of the facilities provided by the GNU gdbm library. If you intend to use this module you should really have a copy of the gdbm manualpage at hand.

Most of the libgdbm.a functions are available through the GDBM_File interface.

AVAILABILITY
gdbm is available from any GNU archive. The master site is "ftp.gnu.org", but you are strongly urged to use one of the many mirrors. You can obtain a list of mirror sites from http://www.gnu.org/order/ftp.html.

BUGS
The available functions and the gdbm/perl interface need to be documented.

The GDBM error number and error message interface needs to be added.

SEE ALSO
perl(1), DB_File(3), perldbmfilter.